<template>
  <span :class="auctionEndedStyle">{{ dateFrom }}</span>
</template>

<script>
import moment from 'moment'

export default {
  name: 'dateFrom',
  props: {
    item: {
      type: Object,
      default: () => {},
    },
  },
  computed: {
    dateFrom() {
      return this.item.spotOrder.fromDt
        ? moment(this.item.spotOrder.fromDt)
            .locale('ru')
            .format('D MMM')
        : '–'
    },
    auctionEndedStyle() {
      return this.item.spotOrder.orderStatus === 'AUCTION_ENDED'
        ? '-light-raspberry-red'
        : ''
    },
  },
}
</script>
